Package org.apache.log4j.chainsaw

## Class ApplicationPreferenceModel

- java.lang.Object
- - org.apache.log4j.chainsaw.ApplicationPreferenceModel

-     public class ApplicationPreferenceModel
      extends Object

  Encapsulates the Chainsaw Application wide properties
  Author:
    Paul Smith <psmith@apache.org>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPreferenceModel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPropertyChangeListener​(PropertyChangeListener listener)` |
    `void` | `addPropertyChangeListener​(String propertyName, PropertyChangeListener listener)` |
    `void` | `apply​(ApplicationPreferenceModel model)` | Takes another model and copies all the values into this model
    `Color` | `getAlternatingColorBackgroundColor()` |
    `Color` | `getAlternatingColorForegroundColor()` |
    `String` | `getBypassConfigurationURL()` |
    `String` | `getConfigurationURL()` |
    `Vector<String>` | `getConfigurationURLs()` |
    `int` | `getCyclicBufferSize()` |
    `List` | `getDefaultColumnNames()` |
    `Color` | `getDeltaColor()` |
    `String` | `getIdentifierExpression()` |
    `String` | `getLastUsedVersion()` |
    `String` | `getLookAndFeelClassName()` |
    `int` | `getResponsiveness()` |
    `Color` | `getSearchBackgroundColor()` |
    `Color` | `getSearchForegroundColor()` |
    `int` | `getTabPlacement()` |
    `int` | `getToolTipDisplayMillis()` |
    `boolean` | `hasListeners​(String propertyName)` |
    `boolean` | `isBypassSearchColors()` |
    `boolean` | `isConfirmExit()` |
    `boolean` | `isDefaultColumnsSet()` |
    `boolean` | `isOkToRemoveSecurityManager()` |
    `boolean` | `isReceivers()` |
    `boolean` | `isShowNoReceiverWarning()` |
    `boolean` | `isShowSplash()` |
    `boolean` | `isStatusBar()` |
    `boolean` | `isToolbar()` |
    `void` | `removePropertyChangeListener​(PropertyChangeListener listener)` |
    `void` | `setAlternatingBackgroundColor​(Color alternatingColorBackgroundColor)` |
    `void` | `setAlternatingForegroundColor​(Color alternatingColorForegroundColor)` |
    `void` | `setBypassConfigurationURL​(String bypassConfigurationURL)` |
    `void` | `setBypassSearchColors​(boolean bypassSearchColors)` |
    `void` | `setConfigurationURL​(String configurationURL)` |
    `void` | `setConfigurationURLs​(Vector<String> urls)` |
    `void` | `setConfirmExit​(boolean confirmExit)` |
    `void` | `setCyclicBufferSize​(int newCyclicBufferSize)` |
    `void` | `setDefaultColumnNames​(List defaultColumnNames)` |
    `void` | `setIdentifierExpression​(String newIdentifierExpression)` |
    `void` | `setLastUsedVersion​(String lastUsedVersion)` |
    `void` | `setLookAndFeelClassName​(String lookAndFeelClassName)` |
    `void` | `setOkToRemoveSecurityManager​(boolean okToRemoveSecurityManager)` |
    `void` | `setReceivers​(boolean receivers)` |
    `void` | `setResponsiveness​(int newValue)` |
    `void` | `setSearchBackgroundColor​(Color searchBackgroundColor)` |
    `void` | `setSearchForegroundColor​(Color searchForegroundColor)` |
    `void` | `setShowNoReceiverWarning​(boolean newShowNoReceiverWarning)` |
    `void` | `setShowSplash​(boolean showSplash)` |
    `void` | `setStatusBar​(boolean statusBar)` |
    `void` | `setTabPlacement​(int i)` |
    `void` | `setToolbar​(boolean toolbar)` |
    `void` | `setToolTipDisplayMillis​(int newToolTipDisplayMillis)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPreferenceModel

          public ApplicationPreferenceModel()

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(PropertyChangeListener listener)

      Parameters:
        `listener` -

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(String propertyName,
                                                PropertyChangeListener listener)

      Parameters:
        `propertyName` -
        `listener` -

    - #### hasListeners

          public boolean hasListeners​(String propertyName)

      Parameters:
        `propertyName` -
      Returns:
        listeners flag

    - #### removePropertyChangeListener

          public void removePropertyChangeListener​(PropertyChangeListener listener)

      Parameters:
        `listener` -

    - #### isShowNoReceiverWarning

          public final boolean isShowNoReceiverWarning()

      Returns:
        Returns the showNoReceiverWarning.

    - #### getIdentifierExpression

          public final String getIdentifierExpression()

    - #### setCyclicBufferSize

          public final void setCyclicBufferSize​(int newCyclicBufferSize)

    - #### getCyclicBufferSize

          public final int getCyclicBufferSize()

    - #### setToolTipDisplayMillis

          public final void setToolTipDisplayMillis​(int newToolTipDisplayMillis)

    - #### getToolTipDisplayMillis

          public final int getToolTipDisplayMillis()

    - #### setIdentifierExpression

          public final void setIdentifierExpression​(String newIdentifierExpression)

    - #### setShowNoReceiverWarning

          public final void setShowNoReceiverWarning​(boolean newShowNoReceiverWarning)

      Parameters:
        `newShowNoReceiverWarning` - The showNoReceiverWarning to set.

    - #### apply

          public void apply​(ApplicationPreferenceModel model)

      Takes another model and copies all the values into this model
      Parameters:
        `model` -

    - #### getDeltaColor

          public Color getDeltaColor()

    - #### getResponsiveness

          public final int getResponsiveness()

      Returns:
        Returns the responsiveness.

    - #### setResponsiveness

          public final void setResponsiveness​(int newValue)

      Parameters:
        `newValue` - The responsiveness to set.

    - #### setTabPlacement

          public void setTabPlacement​(int i)

      Parameters:
        `i` -

    - #### getTabPlacement

          public final int getTabPlacement()

      Returns:
        Returns the tabPlacement.

    - #### isStatusBar

          public final boolean isStatusBar()

      Returns:
        Returns the statusBar.

    - #### getConfigurationURLs

          public Vector<String> getConfigurationURLs()

    - #### setConfigurationURLs

          public void setConfigurationURLs​(Vector<String> urls)

    - #### setStatusBar

          public final void setStatusBar​(boolean statusBar)

      Parameters:
        `statusBar` - The statusBar to set.

    - #### setAlternatingForegroundColor

          public void setAlternatingForegroundColor​(Color alternatingColorForegroundColor)

    - #### setAlternatingBackgroundColor

          public void setAlternatingBackgroundColor​(Color alternatingColorBackgroundColor)

    - #### setSearchForegroundColor

          public void setSearchForegroundColor​(Color searchForegroundColor)

    - #### setSearchBackgroundColor

          public void setSearchBackgroundColor​(Color searchBackgroundColor)

    - #### getAlternatingColorBackgroundColor

          public Color getAlternatingColorBackgroundColor()

    - #### getAlternatingColorForegroundColor

          public Color getAlternatingColorForegroundColor()

    - #### getSearchBackgroundColor

          public Color getSearchBackgroundColor()

    - #### getSearchForegroundColor

          public Color getSearchForegroundColor()

    - #### isReceivers

          public final boolean isReceivers()

      Returns:
        Returns the receivers.

    - #### setReceivers

          public final void setReceivers​(boolean receivers)

      Parameters:
        `receivers` - The receivers to set.

    - #### isToolbar

          public final boolean isToolbar()

      Returns:
        Returns the toolbar.

    - #### setToolbar

          public final void setToolbar​(boolean toolbar)

      Parameters:
        `toolbar` - The toolbar to set.

    - #### getLookAndFeelClassName

          public final String getLookAndFeelClassName()

      Returns:
        Returns the lookAndFeelClassName.

    - #### setLookAndFeelClassName

          public final void setLookAndFeelClassName​(String lookAndFeelClassName)

      Parameters:
        `lookAndFeelClassName` - The lookAndFeelClassName to set.

    - #### isConfirmExit

          public final boolean isConfirmExit()

      Returns:
        Returns the confirmExit.

    - #### setConfirmExit

          public final void setConfirmExit​(boolean confirmExit)

      Parameters:
        `confirmExit` - The confirmExit to set.

    - #### isShowSplash

          public final boolean isShowSplash()

      Returns:
        Returns the showSplash.

    - #### setShowSplash

          public final void setShowSplash​(boolean showSplash)

      Parameters:
        `showSplash` - The showSplash to set.

    - #### getConfigurationURL

          public final String getConfigurationURL()

      Returns:
        Returns the configurationURL.

    - #### getBypassConfigurationURL

          public final String getBypassConfigurationURL()

    - #### setBypassConfigurationURL

          public void setBypassConfigurationURL​(String bypassConfigurationURL)

    - #### setConfigurationURL

          public final void setConfigurationURL​(String configurationURL)

      Parameters:
        `configurationURL` - The configurationURL to set.

    - #### getLastUsedVersion

          public final String getLastUsedVersion()

      Returns:
        Returns the lastUsedVersion.

    - #### setLastUsedVersion

          public final void setLastUsedVersion​(String lastUsedVersion)

      Parameters:
        `lastUsedVersion` - The lastUsedVersion to set.

    - #### isOkToRemoveSecurityManager

          public final boolean isOkToRemoveSecurityManager()

      Returns:
        ok to remove security manager flag

    - #### setOkToRemoveSecurityManager

          public final void setOkToRemoveSecurityManager​(boolean okToRemoveSecurityManager)

      Parameters:
        `okToRemoveSecurityManager` - The okToRemoveSecurityManager to set.

    - #### setDefaultColumnNames

          public void setDefaultColumnNames​(List defaultColumnNames)

    - #### isDefaultColumnsSet

          public boolean isDefaultColumnsSet()

    - #### getDefaultColumnNames

          public List getDefaultColumnNames()

    - #### setBypassSearchColors

          public void setBypassSearchColors​(boolean bypassSearchColors)

    - #### isBypassSearchColors

          public boolean isBypassSearchColors()